load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/popRemap.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl" 
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/calendar_decode2.ncl"

begin

f1=addfile("piy_Tp_coldextreme_65N_100W.nc","r")
f4=addfile("rcp_2090_Tp_coldextreme_65N_100W.nc","r")
f7=addfile("rcp_2290_Tp_coldextreme_65N_100W.nc", "r")
f12=addfile("ecp_thr20_Tp_coldextreme_65N_100W.nc", "r")

Tp1=f1->Tp
Tp4=f4->Tp
Tp7=f7->Tp
Tp12=f12->Tp

cli1=Tp1-273.15
cli4=Tp4-273.15
cli7=Tp7-273.15
cli12=Tp12-273.15

nn=dimsizes(cli1)
x=new((/4,nn/), typeof(cli1))

x(0,:)=cli1
x(1,:)=cli4
x(2,:)=cli7
x(3,:)=cli12

 wks  = gsn_open_wks("eps","aaf_plot_tp_cem_65N_100W")                ; Opens a ps file 

   res = True                      ; no plot mods desired
 ;     res@gsnDraw      =  False                   ; do not draw the plot
 ;  res@gsnFrame     =  False   
 ;  res@tiMainString = "Vertical temperature profile"                   ; title
 ;  res@gsnLeftString="65N over NA"
 ;     res@gsnRightString="~S~o~N~C"
   res@tiXAxisString = ""  ; xaxis
   res@tiYAxisString = "Pressure (hPa)"                  ; yaxis 
   res@xyLineThicknesses   = (/4.,4.,4.,4./)       ; Define line thicknesses 
   res@xyDashPatterns      = (/0,0,0,0/)           ; Dash patterns
   res@xyLineColors        = (/"blue","green","orange","red"/)
 res@trYReverse        = True  
   ;res@tiMainOffsetYF=-0.025
   res@tiYAxisOffsetXF             = 0.01   

  res@vpWidthF        = 0.7     
  res@vpHeightF       = 0.4  


res@gsnStringFont = "helvetica"
;res@lbLabelFont = "helvetica"
res@tmYLLabelFont = "helvetica"
res@tmXBLabelFont = "helvetica"
res@tiXAxisFont =  "helvetica"
res@tiYAxisFont =  "helvetica"
res@tiMainFont =  "helvetica"

res@tiMainString="Cold 1% temperature at 65N 100W (~S~o~N~C)"
res@gsnCenterString = ""
res@gsnLeftString=""
res@gsnRightString=""
res@tiXAxisString=""
res@tiYAxisString = "Pressure (hPa)"                  ; yaxis 

res@gsnStringFontHeightF = 0.025
res@tmXBLabelFontHeightF = 0.025
res@tmYLLabelFontHeightF = 0.025
;res@lbLabelFontHeightF = 0.025
res@tiXAxisFontHeightF = 0.025
res@tiYAxisFontHeightF = 0.025
res@tiMainFontHeightF = 0.025


res@tiMainFontHeightF = 0.025
  res@tiMainOffsetYF=-0.01
   ;res@trYMaxF = 100.0
   res@trXMaxF =20.
   res@trXMinF =-70.
   ;res@trYLog              = True                 ; log scaling
   res@trYMinF             = 100                 ; manually set lower limit
   res@trYMaxF             = 1000.0                 ;   "          upper
   plot=gsn_csm_xy(wks,x,f1->lev_p,res)     ; create plot 

end