load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/popRemap.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl" 
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/calendar_decode2.ncl"

begin

g1=addfile("TGCLDLWP_index_awland_11e.nc", "r")
index1=g1->index

g2=addfile("TGCLDIWP_index_awland_11e.nc", "r")
index2=g2->index

index3=index1
index3=index1+index2

f2=addfile("TS_index_ocean_new.nc", "r")
xx=f2->index

wks = gsn_open_wks("eps","aaf_plot_v3_f4b")         ; send graphics to PNG file



  res               = True                   ; plot mods desired
  ;res@trYMinF                     = 0 
  ;res@trYMaxF = 1.  
  ;res@gsnYRefLine           = 0.0            ; create a reference line
  res@gsnDraw  = False                          ; don't draw
  res@gsnFrame = False 

 res@xyMarkerColor     = "red"  
   res@xyMarkLineMode= "Markers"
   res@xyLineThicknessF = 5.0
 res@xyMarkers         =  16    
; xx=(/0,5,10,15,20/)
   ;res@tmXBMode   = "Explicit"
   ; res@xyDashPattern  = 0                         ; Make curves all solid

  ;res@tmXBValues = (/0,5,10,15,20/)     
  ;res@tmXBLabels = (/0,5,10,15,20/)



  ;res@tmXMajorGrid                = True          ; implement x grid 
  ;res@tmXMajorGridThicknessF      = 1.0           ; 2.0 is default
  ;res@tmXMajorGridLineDashPattern = 2             ; select short dash lines
  
  ;res@tmYMajorGrid                = True          ; implement y grid
  ;res@tmYMajorGridThicknessF      = 1.0           ; 2.0 is default
  ;res@tmYMajorGridLineDashPattern = 2             ; select short dash lines


  res@trYMinF  = 0.0                   ; min value on y-axis
  res@trYMaxF  = 350.0                   ; max value on y-axis
  res@trXMinF  = -10.0                   ; min value on y-axis
  res@trXMaxF  = 20.0                   ; max value on y-axis

  res@vpWidthF        = 0.7     
  res@vpHeightF       = 0.5 


res@gsnStringFont = "helvetica"
;res@lbLabelFont = "helvetica"
res@tmYLLabelFont = "helvetica"
res@tmXBLabelFont = "helvetica"
res@tiXAxisFont =  "helvetica"
res@tiYAxisFont =  "helvetica"
res@tiMainFont =  "helvetica"

res@tiMainString=""
res@tiYAxisString= "Cloud water path (g/m~S~2~N~)"
res@gsnCenterString = ""
res@gsnLeftString=""
res@gsnRightString=""
res@tiXAxisString="TS over ocean (degC)"

res@gsnStringFontHeightF = 0.033
res@tmXBLabelFontHeightF = 0.033
res@tmYLLabelFontHeightF = 0.033
;res@lbLabelFontHeightF = 0.033
res@tiXAxisFontHeightF = 0.033
res@tiYAxisFontHeightF = 0.033
res@tiMainFontHeightF = 0.033

 res@xyMarkerSizeF     = 0.02        

res@gsnYRefLine = 0

  plot1 = gsn_csm_xy(wks,xx,index1,res)



 res@xyMarkerColor     = "blue"  
  plot2 = gsn_csm_xy(wks,xx,index2,res) 
  overlay(plot1,plot2)

 res@xyMarkerColor     = "orange"  
  plot3 = gsn_csm_xy(wks,xx,index3,res) 
  overlay(plot1,plot3)

draw(plot1)
frame(wks)

  end 